# -*- coding: utf-8 -*-
# Copyright (C) 2008-2009 Jan Hülsbergen <jan@afoo.de>
#
# This file is part of cmdlib.
#
# cmdlib is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# cmdlib is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with cmdlib.  If not, see <http://www.gnu.org/licenses/>.

'''Simple stuff to print nice colors on terminals

'''

import sys


BLACK = '\033[90m'
RED = '\033[91m'
GREEN = '\033[92m'
YELLOW = '\033[93m'
BLUE = '\033[94m'
MAGENTA = '\033[95m'
CYAN = '\033[96m'
WHITE = '\033[97m'

BOLD = '\033[01m'
UNDERLINE = '\033[04m'

END = '\033[0m'


def colorize(color, s):
    return '%s%s%s' % (color, s, END)

c = colorize


def color_print(color, s):
    print colorize(color, s)

cp = color_print


def error(msg):
    if sys.stderr.isatty():
        msg = colorize(RED, msg)
    print >>sys.stderr, msg
    sys.exit(42)
